import { createHash } from 'crypto';

class SHA256 {
	public static hash(string: string): string {
		return createHash('sha256').update(string).digest('hex');
	}

	public static check(string: string, hash: string): boolean {
		return SHA256.hash(string) === hash;
	}
}

export default SHA256;